import request from '@/utils/request'

export default {
    getTypeIdData(data) {
        return request({
            url: '/system-boot/dictData/getTypeIdData',
            method: 'post',
            data: data
        })
    },
    getOnlineRateData2(data) {
        return request({
            url: '/harmonic-boot/onlineRateData/getOnlineRateData',
            method: 'post',
            data: data,
        })
    },
    getAreaDept() {
        return request({
            url: '/user-boot/dept/loginDeptTree',
            method: 'post'

        })
    },
    getOnlineRateDataCensus(data) {
        return request({
            //url: '/harmonic-boot/onlineRateData/getOnlineRateDataCensus',
            url: '/device-boot/terminalOnlineRateData/getOnlineRateDataCensus',
            method: 'post',
            data: data
        })
    },
    IntegrityIcon(data) {
        return request({
            url: '/harmonic-boot/integrity/getIntegrityIcon',
            method: 'post',
            data: data
        })
    },
    getDeptIdAreaTree() {
        return request({
            url: '/system-boot/area/getDeptIdAreaTree',
            method: 'post'
        })
    },
    getOnlineRateData(data) {
        return request({
            url: '/device-boot/terminalOnlineRateData/getOnlineRateData',
            method: 'post',
            data: data,
        })
    },

}